# TSSetFromOptions

Sets various TS parameters from user options.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSetFromOptions(TS ts)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### Options Database Keys

| -ts_type <type> | - TS_EULER, TS_BEULER, TS_SUNDIALS, TS_PSEUDO, TS_CRANK_NICHOLSON
| -ts_max_steps maxsteps | - maximum number of time-steps to take
| -ts_max_time time | - maximum time to compute to
| -ts_dt dt | - initial time step
| -ts_monitor | - print information at each timestep
| -ts_monitor_draw | - plot information at each timestep

### Keywords

TS, timestep, set, options, database

### See Also

TSGetType

Level:beginner
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex1f.F.html
src/ts/examples/tutorials/ex2f.F.html